> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payfonte.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch All Disbursements Transaction

> Retrieve a paginated list of all disbursement transactions



## OpenAPI

````yaml /api-reference/openapi-3.1.yml get /billing/v1/disbursements
openapi: 3.1.0
info:
  title: Payfonte - OpenAPI 3.1
  description: >-
    This is the minimal API for payfonte collection and disbursements API. To
    view a more elaborate documentation see here.


    Some useful links:

    - [Home](https://payfonte.com)

    - [Payfonte Documentation](https://docs.payfonte.com)
  termsOfService: https://www.payfonte.com/terms
  contact:
    email: tech@payfonte.com
  version: 1.0.0
servers:
  - url: https://sandbox-api.payfonte.com
    description: Sandbox API Base URL
  - url: https://api.payfonte.com
    description: Production API Base URL
security:
  - clientId: []
    clientSecret: []
tags:
  - name: Collections
    description: Everything about your payment collection with payfonte
    externalDocs:
      description: Find out more
      url: https://docs.payfonte.com/#/collections/inline
  - name: Card Collections
    description: Everything about your card payment collections with payfonte
  - name: Disbursements
    description: >
      Find full list of supported Disbursement providers here [Supported
      Providers](https://docs.payfonte.com/#/Disbursements/supported-Disbursements)

      There are 3 main process to carry out a Disbursement on Payfonte

      1. Validate A transfer Recipient

      2. Initiate a Disbursement Request

      3. Verify a Disbursement Request
  - name: Wallets
    description: >-
      A Little bit about our [wallets here]
      (https://docs.payfonte.com/#/introductions/wallets)
paths:
  /billing/v1/disbursements:
    get:
      tags:
        - Disbursements
      summary: Fetch All Disbursements Transaction
      description: Retrieve a paginated list of all disbursement transactions
      operationId: getAllDisbursements
      parameters:
        - in: query
          name: dateFrom
          schema:
            type: string
            format: date
            example: '2025-01-01'
          description: Start date for filtering transactions (inclusive)
          required: false
        - in: query
          name: dateTo
          schema:
            type: string
            format: date
            example: '2025-03-31'
          description: End date for filtering transactions (inclusive)
          required: false
        - in: query
          name: page
          schema:
            type: integer
            minimum: 1
            default: 1
          description: Page number for pagination
        - in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 4
          description: Number of records per page
      responses:
        '200':
          description: Successfully retrieved disbursements
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllDisbursements'
components:
  schemas:
    GetAllDisbursements:
      type: object
      properties:
        statusCode:
          type: integer
          example: 200
        total:
          type: integer
          description: Total number of records
          example: 58
        page:
          type: integer
          description: Current page number
          example: 1
        pages:
          type: integer
          description: Total number of pages
          example: 29
        limit:
          type: integer
          description: Number of records per page
          example: 2
        data:
          type: array
          items:
            type: object
            properties:
              clientId:
                type: string
                example: payfusion
              status:
                type: string
                example: success
              statusDescription:
                type: string
                example: success
              reference:
                type: string
                example: D20250303232852ZSWSJ
              providersReference:
                type: string
                example: pt-D20250303232852ZSWSJ
              externalReference:
                type: string
                example: D20250303231740IWYKI
              currency:
                type: string
                example: XOF
              country:
                type: string
                example: CI
              transferRecipientId:
                type: string
                example: 677696a160f343c392c0449d
              transferRecipientLabel:
                type: string
                example: Wave | +2250538102474
              charge:
                type: integer
                example: 11000
              amount:
                type: integer
                example: 100000
              provider:
                type: string
                example: wave-ivory-coast
              providerLabel:
                type: string
                example: Wave
              providerLogo:
                type: string
                format: uri
                example: https://docs.wave.com/images/business-penguin-a4539369.png
              channel:
                type: string
                example: mobile-money
              integrationId:
                type: string
                example: 6762bcccdd35fc1c7cae5bd6
              id:
                type: string
                example: 67c69da4099fde3f44c85345
  securitySchemes:
    clientId:
      type: apiKey
      name: client-id
      in: header
    clientSecret:
      type: apiKey
      name: client-secret
      in: header

````